## painintheapt 0.20181201

=== Makefile ===
NAME=painintheapt

all: $(NAME).8 index.html

$(NAME).8: README.rst
	cat $< \
	    | sed -e '0,/^$$/s//:Manual section: 8\n/' \
	          -e '0,/Pain.*/s//$(NAME)/' \
	    | rst2man > $@

index.html: README.rst
	rst2html $< > $@

clean:
	rm -f $(NAME).8 index.html

## painintheapt 0.20150622

=== debian/changelog ===
painintheapt (0.20150622-1) unstable; urgency=low

  * New upstream version (Closes: #789313, #789315).
    Thanks to Gerald Turner <gturner@unzane.com>!
  * Remove dh-systemd build dependency.

 -- W. Martin Borgert <debacle@debian.org>  Mon, 22 Jun 2015 22:42:43 +0000

painintheapt (0.20150504-2) unstable; urgency=low

  * Recommend cron.
  * Build depend on python3-docutils for rst2man (Closes: #784930).
    Thanks to Logan Rosen <logan@ubuntu.com>!

 -- W. Martin Borgert <debacle@debian.org>  Tue, 19 May 2015 19:30:45 +0000

painintheapt (0.20150504-1) unstable; urgency=low

  * New version.
  * Fixed dependencies.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 06 May 2015 22:01:36 +0000

painintheapt (0.20150308-1) unstable; urgency=low

  * Package "Pain in the APT" (Closes: #780105).

 -- W. Martin Borgert <debacle@debian.org>  Thu, 09 Apr 2015 21:53:28 +0000

=== debian/control ===
Source: painintheapt
Section: admin
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 9.0),
	python3,
	dh-python,
	python3-docutils
Standards-Version: 3.9.6
Homepage: https://painintheapt.alioth.debian.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/painintheapt.git
Vcs-Git: git://anonscm.debian.org/collab-maint/painintheapt.git

Package: painintheapt
Section: admin
Architecture: all
Depends: python3,
	 python3-apt,
	 python3-prettytable,
	 python3-sleekxmpp,
	 ${misc:Depends},
	 ${python3:Depends}
Recommends: cron | cron-daemon
Description: Pester people about available package updates by email or jabber
 Pain in the APT pesters people about available package upgrades,
 just like apticron or cron-apt. However, it does so by SMTP and XMPP
 (direct or MUC/conference room), not by calling mailx.

## painintheapt 0.20161206

=== debian/changelog ===
painintheapt (0.20161206-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 30 Dec 2016 03:27:30 +0000

painintheapt (0.20161206-1) unstable; urgency=medium

  * New upstream version.
  * Add systemd timer/service files.
  * Add dh-systemd build dependency again.
  * Take over maintainership for now.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 18 Dec 2016 13:45:45 +0000

=== debian/control ===
Source: painintheapt
Section: admin
Priority: optional
Maintainer: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 9.0),
	python3,
	dh-python,
	dh-systemd,
	python3-docutils
Standards-Version: 3.9.8
Homepage: https://painintheapt.alioth.debian.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/painintheapt.git
Vcs-Git: git://anonscm.debian.org/collab-maint/painintheapt.git

Package: painintheapt
Section: admin
Architecture: all
Depends: python3,
	 python3-apt,
	 python3-prettytable,
	 python3-sleekxmpp,
	 ${misc:Depends},
	 ${python3:Depends}
Suggests: cron | cron-daemon
Description: Pester people about available package updates by email or jabber
 Pain in the APT pesters people about available package upgrades,
 just like apticron or cron-apt. However, it does so by SMTP and XMPP
 (direct or MUC/conference room), but also by calling mailx.

## painintheapt 0.20180212

=== debian/changelog ===
painintheapt (0.20180212-1) unstable; urgency=medium

  * New upstream version.
  * Move maintainership to XMPP team.
  * Bump standards and dh version.

 -- W. Martin Borgert <debacle@debian.org>  Mon, 12 Feb 2018 09:28:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: painintheapt
 Section: admin
 Priority: optional
-Maintainer: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 9.0),
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Uploaders: W. Martin Borgert <debacle@debian.org>
+Build-Depends: debhelper (>= 10),
 	python3,
 	dh-python,
-	dh-systemd,
 	python3-docutils
-Standards-Version: 3.9.8
-Homepage: https://painintheapt.alioth.debian.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/painintheapt.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/painintheapt.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Homepage: https://salsa.debian.org/debacle/painintheapt
+Vcs-Browser: https://salsa.debian.org/xmpp-team/painintheapt
+Vcs-Git: https://salsa.debian.org/xmpp-team/painintheapt.git
 
 Package: painintheapt
 Section: admin

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,systemd --system=pybuild

override_dh_systemd_start:
	echo $@ $@ $@ $@ $@ $@ $@
	dh_systemd_start painintheapt-daily.timer
	dh_systemd_start painintheapt-weekly.timer

## painintheapt 0.20181201

=== debian/changelog ===
painintheapt (0.20181201-2) unstable; urgency=medium

  * move to debhelper-compat, bump to dh 13

 -- Martin <debacle@debian.org>  Fri, 01 Jan 2021 21:17:43 +0000

painintheapt (0.20181201-1) unstable; urgency=medium

  * New upstream version.
    - sends subject in XMPP message body (Closes: #914738)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 01 Dec 2018 01:37:09 +0000

painintheapt (0.20181120-1) unstable; urgency=medium

  * New upstream version.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 21 Nov 2018 09:06:42 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Martin <debacle@debian.org>
+Build-Depends: debhelper-compat (= 13),
 	python3,
 	dh-python,
-	python3-docutils
+	python3-docutils,
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/debacle/painintheapt
@@ -26,4 +26,4 @@
 Description: Pester people about available package updates by email or jabber
  Pain in the APT pesters people about available package upgrades,
  just like apticron or cron-apt. However, it does so by SMTP and XMPP
- (direct or MUC/conference room), but also by calling mailx.
+ (direct, MUC/groupchat, or pubsub), but also by calling mailx.

## painintheapt 0.20220226

=== Makefile ===
--- 
+++ 
@@ -11,5 +11,11 @@
 index.html: README.rst
 	rst2html $< > $@
 
+format:
+	black --line-length 96 $(NAME)
+
+pylint:
+	pylint --errors-only $(NAME)
+
 clean:
 	rm -f $(NAME).8 index.html

=== debian/changelog ===
painintheapt (0.20220226-4) unstable; urgency=medium

  * Add patch by Gerald Turner <gturner@unzane.com> to fix compatibility
    with slixmpp 1.9.0 (Closes: #1109729)

 -- Martin <debacle@debian.org>  Thu, 24 Jul 2025 20:39:48 +0000

painintheapt (0.20220226-3) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> 2023-09-08 ]
  * Move systemd units to /usr. (Closes: #1051458)

 -- Martin <debacle@debian.org>  Fri, 08 Dec 2023 22:52:30 +0000

painintheapt (0.20220226-2) unstable; urgency=medium

  * Add debian/watch

 -- Martin <debacle@debian.org>  Tue, 28 Feb 2023 21:31:14 +0000

painintheapt (0.20220226-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:35:22 +0200

painintheapt (0.20220226-1) unstable; urgency=medium

  * New upstream version, depends on slixmpp instead of sleekxmpp.

 -- Martin <debacle@debian.org>  Sat, 26 Feb 2022 01:42:50 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
+        debhelper (>= 13.11.6~),
 	python3,
 	dh-python,
 	python3-docutils,
@@ -19,10 +20,10 @@
 Depends: python3,
 	 python3-apt,
 	 python3-prettytable,
-	 python3-sleekxmpp,
+	 python3-slixmpp,
 	 ${misc:Depends},
 	 ${python3:Depends}
-Suggests: cron | cron-daemon
+Suggests: systemd | cron | cron-daemon
 Description: Pester people about available package updates by email or jabber
  Pain in the APT pesters people about available package upgrades,
  just like apticron or cron-apt. However, it does so by SMTP and XMPP

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --system=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?\/painintheapt-v?(\d\S+)\.tar\.gz/painintheapt-$1\.tar\.gz/ \
 https://salsa.debian.org/debacle/painintheapt/tags .*?v?\d\S+/painintheapt-v?(\d\S+)\.tar\.gz

## painintheapt 0.20251121

=== debian/changelog ===
painintheapt (0.20251121-1) unstable; urgency=medium

  * New upstream version
  * Drop "Rules-Requires-Root: no"
  * Move package to Python Team
  * Drop patch

 -- Martin <debacle@debian.org>  Fri, 21 Nov 2025 21:36:03 +0000

## painintheapt 0.20251205

=== Makefile ===
NAME=painintheapt

EMACS=emacs --quick --batch --kill

all: $(NAME).8 index.html

$(NAME).8: README.org
	$(EMACS) $< --eval "(require 'ox-man)" -f org-man-export-to-man && mv README.man $@

index.html: README.org
	$(EMACS) $< -f org-html-export-to-html && mv README.html $@

format:
	black --line-length 96 $(NAME)

pylint:
	pylint --errors-only $(NAME)

clean:
	rm -f $(NAME).8 index.html README.html README.man

=== debian/changelog ===
painintheapt (0.20251205-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Fri, 05 Dec 2025 08:48:39 +0000

=== debian/control ===
Source: painintheapt
Section: admin
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	emacs,
	python3,
Standards-Version: 4.1.3
Homepage: https://salsa.debian.org/debacle/painintheapt
Vcs-Browser: https://salsa.debian.org/python-team/packages/painintheapt
Vcs-Git: https://salsa.debian.org/python-team/packages/painintheapt.git

Package: painintheapt
Architecture: all
Depends: python3,
	 python3-apt,
	 python3-prettytable,
	 python3-slixmpp,
	 ${misc:Depends},
	 ${python3:Depends}
Suggests: systemd | cron | cron-daemon
Description: Pester people about available package updates by email or jabber
 Pain in the APT pesters people about available package upgrades,
 just like apticron or cron-apt. However, it does so by XMPP (direct,
 MUC/conference room, or pubsub node), SMTP, or by calling mailx.

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://salsa.debian.org/debacle/@PACKAGE@/tags?sort=updated_desc \
 -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
